# PrecompiledScriptDependenciesResolver

class PrecompiledScriptDependenciesResolver : ScriptDependenciesResolver

## Constructors

PrecompiledScriptDependenciesResolver
Link copied to clipboard
constructor()

## Types

Companion
Link copied to clipboard
object Companion
EnvironmentProperties
Link copied to clipboard
object EnvironmentProperties

## Functions

resolve
Link copied to clipboard
open override fun resolve(script: ScriptContents, environment: <Error class: unknown class>?, report: (ScriptDependenciesResolver.ReportSeverity, String, ScriptContents.Position?) -> Unit, previousDependencies: KotlinScriptExternalDependencies?): Future<KotlinScriptExternalDependencies?>